Bug 1767066 - Installation fails due to symlink install directory
Summary: Installation fails due to symlink install directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.2.z
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.0
Assignee: Patrick Dillon
QA Contact: Etienne Simard
URL:
Whiteboard:
: 1766145 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-30 15:45 UTC by David Caldwell
Modified: 2020-07-13 17:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: terraform library does not check for symlinks when determining relative path to configuration file Consequence: if installer is run from symlink the configuration is not found and installation fails Fix: updated terraform to check for symlinks Result: installer can now be run from a symlink dir
Clone Of:
Environment:
Last Closed: 2020-07-13 17:12:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3201 None closed Bug 1767066: Vendor terraform update to fix symlink bug 2020-08-30 10:54:34 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:12:27 UTC

Description David Caldwell 2019-10-30 15:45:35 UTC
Description of problem:

Error trying to install openshift 4.2 on Azure, 'FATAL failed to fetch Cluster: failed to generate asset "Cluster": failed to create cluster: failed to initialize Terraform'


Version-Release number of the following components:

OCP 4.2


How reproducible:

Run OCP 4.2 installer against an Azure account.


Actual results:

Output from Install

./openshift-install create cluster --dir=/home/user/Downloads/openshift/mtn-azure --log-level=debug
DEBUG OpenShift Installer v4.2.0                   
DEBUG Built from commit 90ccb37ac1f85ae811c50a29f9bb7e779c5045fb 
DEBUG Fetching "Terraform Variables"...            
DEBUG Loading "Terraform Variables"...             
DEBUG   Loading "Cluster ID"...                    
DEBUG     Loading "Install Config"...              
DEBUG       Loading "SSH Key"...                   
DEBUG       Using "SSH Key" loaded from state file 
DEBUG       Loading "Base Domain"...               
DEBUG         Loading "Platform"...                
DEBUG         Using "Platform" loaded from state file 
DEBUG       Using "Base Domain" loaded from state file 
DEBUG       Loading "Cluster Name"...              
DEBUG         Loading "Base Domain"...             
DEBUG       Using "Cluster Name" loaded from state file 
DEBUG       Loading "Pull Secret"...               
DEBUG       Using "Pull Secret" loaded from state file 
DEBUG       Loading "Platform"...                  
DEBUG     Using "Install Config" loaded from state file 
DEBUG   Using "Cluster ID" loaded from state file  
DEBUG   Loading "Install Config"...                
DEBUG   Loading "Image"...                         
DEBUG     Loading "Install Config"...              
DEBUG   Using "Image" loaded from state file       
DEBUG   Loading "BootstrapImage"...                
DEBUG     Loading "Install Config"...              
DEBUG   Using "BootstrapImage" loaded from state file 
DEBUG   Loading "Bootstrap Ignition Config"...     
DEBUG     Loading "Install Config"...              
DEBUG     Loading "Kubeconfig Admin Client"...     
DEBUG       Loading "Certificate (admin-kubeconfig-client)"... 
DEBUG         Loading "Certificate (admin-kubeconfig-signer)"... 
DEBUG         Using "Certificate (admin-kubeconfig-signer)" loaded from state file 
DEBUG       Using "Certificate (admin-kubeconfig-client)" loaded from state file 
DEBUG       Loading "Certificate (kube-apiserver-complete-server-ca-bundle)"... 
DEBUG         Loading "Certificate (kube-apiserver-localhost-ca-bundle)"... 
DEBUG           Loading "Certificate (kube-apiserver-localhost-signer)"... 
DEBUG           Using "Certificate (kube-apiserver-localhost-signer)" loaded from state file 
DEBUG         Using "Certificate (kube-apiserver-localhost-ca-bundle)" loaded from state file 
DEBUG         Loading "Certificate (kube-apiserver-service-network-ca-bundle)"... 
DEBUG           Loading "Certificate (kube-apiserver-service-network-signer)"... 
DEBUG           Using "Certificate (kube-apiserver-service-network-signer)" loaded from state file 
DEBUG         Using "Certificate (kube-apiserver-service-network-ca-bundle)" loaded from state file 
DEBUG         Loading "Certificate (kube-apiserver-lb-ca-bundle)"... 
DEBUG           Loading "Certificate (kube-apiserver-lb-signer)"... 
DEBUG           Using "Certificate (kube-apiserver-lb-signer)" loaded from state file 
DEBUG         Using "Certificate (kube-apiserver-lb-ca-bundle)" loaded from state file 
DEBUG       Using "Certificate (kube-apiserver-complete-server-ca-bundle)" loaded from state file 
DEBUG       Loading "Install Config"...            
DEBUG     Loading "Kubeconfig Admin Client" from both state file and target directory 
DEBUG     On-disk "Kubeconfig Admin Client" matches asset in state file 
DEBUG     Using "Kubeconfig Admin Client" loaded from state file 
DEBUG     Loading "Kubeconfig Kubelet"...          
DEBUG       Loading "Certificate (kube-apiserver-complete-server-ca-bundle)"... 
DEBUG       Loading "Certificate (kubelet-client)"... 
DEBUG         Loading "Certificate (kubelet-bootstrap-kubeconfig-signer)"... 
DEBUG         Using "Certificate (kubelet-bootstrap-kubeconfig-signer)" loaded from state file 
DEBUG       Using "Certificate (kubelet-client)" loaded from state file 
DEBUG       Loading "Install Config"...            
DEBUG     Using "Kubeconfig Kubelet" loaded from state file 
DEBUG     Loading "Kubeconfig Admin Client (Loopback)"... 
DEBUG       Loading "Certificate (admin-kubeconfig-client)"... 
DEBUG       Loading "Certificate (kube-apiserver-localhost-ca-bundle)"... 
DEBUG       Loading "Install Config"...            
DEBUG     Using "Kubeconfig Admin Client (Loopback)" loaded from state file 
DEBUG     Loading "Master Machines"...             
DEBUG       Loading "Cluster ID"...                
DEBUG       Loading "Platform Credentials Check"... 
DEBUG         Loading "Install Config"...          
DEBUG       Using "Platform Credentials Check" loaded from state file 
DEBUG       Loading "Install Config"...            
DEBUG       Loading "Image"...                     
DEBUG       Loading "Master Ignition Config"...    
DEBUG         Loading "Install Config"...          
DEBUG         Loading "Root CA"...                 
DEBUG         Using "Root CA" loaded from state file 
DEBUG       Using "Master Ignition Config" loaded from state file 
DEBUG     Using "Master Machines" loaded from state file 
DEBUG     Loading "Worker Machines"...             
DEBUG       Loading "Cluster ID"...                
DEBUG       Loading "Platform Credentials Check"... 
DEBUG       Loading "Install Config"...            
DEBUG       Loading "Image"...                     
DEBUG       Loading "Worker Ignition Config"...    
DEBUG         Loading "Install Config"...          
DEBUG         Loading "Root CA"...                 
DEBUG       Using "Worker Ignition Config" loaded from state file 
DEBUG     Using "Worker Machines" loaded from state file 
DEBUG     Loading "Common Manifests"...            
DEBUG       Loading "Cluster ID"...                
DEBUG       Loading "Install Config"...            
DEBUG       Loading "Ingress Config"...            
DEBUG         Loading "Install Config"...          
DEBUG       Using "Ingress Config" loaded from state file 
DEBUG       Loading "DNS Config"...                
DEBUG         Loading "Install Config"...          
DEBUG         Loading "Cluster ID"...              
DEBUG         Loading "Platform Credentials Check"... 
DEBUG       Using "DNS Config" loaded from state file 
DEBUG       Loading "Infrastructure Config"...     
DEBUG         Loading "Cluster ID"...              
DEBUG         Loading "Install Config"...          
DEBUG         Loading "Cloud Provider Config"...   
DEBUG           Loading "Install Config"...        
DEBUG           Loading "Cluster ID"...            
DEBUG           Loading "Platform Credentials Check"... 
DEBUG         Using "Cloud Provider Config" loaded from state file 
DEBUG         Loading "Additional Trust Bundle Config"... 
DEBUG           Loading "Install Config"...        
DEBUG         Using "Additional Trust Bundle Config" loaded from state file 
DEBUG       Using "Infrastructure Config" loaded from state file 
DEBUG       Loading "Network Config"...            
DEBUG         Loading "Install Config"...          
DEBUG         Loading "Network CRDs"...            
DEBUG         Using "Network CRDs" loaded from state file 
DEBUG       Using "Network Config" loaded from state file 
DEBUG       Loading "Proxy Config"...              
DEBUG         Loading "Install Config"...          
DEBUG         Loading "Network Config"...          
DEBUG       Using "Proxy Config" loaded from state file 
DEBUG       Loading "Scheduler Config"...          
DEBUG         Loading "Install Config"...          
DEBUG       Using "Scheduler Config" loaded from state file 
DEBUG       Loading "Image Content Source Policy"... 
DEBUG         Loading "Install Config"...          
DEBUG       Using "Image Content Source Policy" loaded from state file 
DEBUG       Loading "Root CA"...                   
DEBUG       Loading "Certificate (etcd-signer)"... 
DEBUG       Using "Certificate (etcd-signer)" loaded from state file 
DEBUG       Loading "Certificate (etcd-ca-bundle)"... 
DEBUG         Loading "Certificate (etcd-signer)"... 
DEBUG       Using "Certificate (etcd-ca-bundle)" loaded from state file 
DEBUG       Loading "Certificate (etcd-client)"... 
DEBUG         Loading "Certificate (etcd-signer)"... 
DEBUG       Using "Certificate (etcd-client)" loaded from state file 
DEBUG       Loading "Certificate (etcd-metric-ca-bundle)"... 
DEBUG         Loading "Certificate (etcd-metric-signer)"... 
DEBUG         Using "Certificate (etcd-metric-signer)" loaded from state file 
DEBUG       Using "Certificate (etcd-metric-ca-bundle)" loaded from state file 
DEBUG       Loading "Certificate (etcd-metric-signer)"... 
DEBUG       Loading "Certificate (etcd-metric-signer-client)"... 
DEBUG         Loading "Certificate (etcd-metric-signer)"... 
DEBUG       Using "Certificate (etcd-metric-signer-client)" loaded from state file 
DEBUG       Loading "Certificate (mcs)"...         
DEBUG         Loading "Root CA"...                 
DEBUG         Loading "Install Config"...          
DEBUG       Using "Certificate (mcs)" loaded from state file 
DEBUG       Loading "CVOOverrides"...              
DEBUG       Using "CVOOverrides" loaded from state file 
DEBUG       Loading "EtcdCAConfigMap"...           
DEBUG       Using "EtcdCAConfigMap" loaded from state file 
DEBUG       Loading "EtcdClientSecret"...          
DEBUG       Using "EtcdClientSecret" loaded from state file 
DEBUG       Loading "EtcdHostServiceEndpoints"...  
DEBUG       Using "EtcdHostServiceEndpoints" loaded from state file 
DEBUG       Loading "EtcdHostService"...           
DEBUG       Using "EtcdHostService" loaded from state file 
DEBUG       Loading "EtcdMetricClientSecret"...    
DEBUG       Using "EtcdMetricClientSecret" loaded from state file 
DEBUG       Loading "EtcdMetricServingCAConfigMap"... 
DEBUG       Using "EtcdMetricServingCAConfigMap" loaded from state file 
DEBUG       Loading "EtcdMetricSignerSecret"...    
DEBUG       Using "EtcdMetricSignerSecret" loaded from state file 
DEBUG       Loading "EtcdNamespace"...             
DEBUG       Using "EtcdNamespace" loaded from state file 
DEBUG       Loading "EtcdService"...               
DEBUG       Using "EtcdService" loaded from state file 
DEBUG       Loading "EtcdSignerSecret"...          
DEBUG       Using "EtcdSignerSecret" loaded from state file 
DEBUG       Loading "KubeCloudConfig"...           
DEBUG       Using "KubeCloudConfig" loaded from state file 
DEBUG       Loading "EtcdServingCAConfigMap"...    
DEBUG       Using "EtcdServingCAConfigMap" loaded from state file 
DEBUG       Loading "KubeSystemConfigmapRootCA"... 
DEBUG       Using "KubeSystemConfigmapRootCA" loaded from state file 
DEBUG       Loading "MachineConfigServerTLSSecret"... 
DEBUG       Using "MachineConfigServerTLSSecret" loaded from state file 
DEBUG       Loading "OpenshiftConfigSecretPullSecret"... 
DEBUG       Using "OpenshiftConfigSecretPullSecret" loaded from state file 
DEBUG       Loading "OpenshiftMachineConfigOperator"... 
DEBUG       Using "OpenshiftMachineConfigOperator" loaded from state file 
DEBUG     Using "Common Manifests" loaded from state file 
DEBUG     Loading "Openshift Manifests"...         
DEBUG       Loading "Install Config"...            
DEBUG       Loading "Cluster ID"...                
DEBUG       Loading "Kubeadmin Password"...        
DEBUG       Using "Kubeadmin Password" loaded from state file 
DEBUG       Loading "CloudCredsSecret"...          
DEBUG       Using "CloudCredsSecret" loaded from state file 
DEBUG       Loading "KubeadminPasswordSecret"...   
DEBUG       Using "KubeadminPasswordSecret" loaded from state file 
DEBUG       Loading "RoleCloudCredsSecretReader"... 
DEBUG       Using "RoleCloudCredsSecretReader" loaded from state file 
DEBUG       Loading "RolebindingCloudCredsSecretReader"... 
DEBUG       Using "RolebindingCloudCredsSecretReader" loaded from state file 
DEBUG     Using "Openshift Manifests" loaded from state file 
DEBUG     Loading "Proxy Config"...                
DEBUG     Loading "Certificate (admin-kubeconfig-ca-bundle)"... 
DEBUG       Loading "Certificate (admin-kubeconfig-signer)"... 
DEBUG     Using "Certificate (admin-kubeconfig-ca-bundle)" loaded from state file 
DEBUG     Loading "Certificate (aggregator)"...    
DEBUG     Using "Certificate (aggregator)" loaded from state file 
DEBUG     Loading "Certificate (aggregator-ca-bundle)"... 
DEBUG       Loading "Certificate (aggregator-signer)"... 
DEBUG       Using "Certificate (aggregator-signer)" loaded from state file 
DEBUG     Using "Certificate (aggregator-ca-bundle)" loaded from state file 
DEBUG     Loading "Certificate (system:kube-apiserver-proxy)"... 
DEBUG       Loading "Certificate (aggregator-signer)"... 
DEBUG     Using "Certificate (system:kube-apiserver-proxy)" loaded from state file 
DEBUG     Loading "Certificate (aggregator-signer)"... 
DEBUG     Loading "Certificate (system:kube-apiserver-proxy)"... 
DEBUG       Loading "Certificate (aggregator)"...  
DEBUG     Using "Certificate (system:kube-apiserver-proxy)" loaded from state file 
DEBUG     Loading "Certificate (etcd-ca-bundle)"... 
DEBUG     Loading "Certificate (etcd-metric-ca-bundle)"... 
DEBUG     Loading "Certificate (etcd-metric-signer)"... 
DEBUG     Loading "Certificate (etcd-metric-signer-client)"... 
DEBUG     Loading "Certificate (etcd-signer)"...   
DEBUG     Loading "Certificate (etcd-client)"...   
DEBUG     Loading "Certificate (journal-gatewayd)"... 
DEBUG       Loading "Root CA"...                   
DEBUG     Using "Certificate (journal-gatewayd)" loaded from state file 
DEBUG     Loading "Certificate (kube-apiserver-lb-ca-bundle)"... 
DEBUG     Loading "Certificate (kube-apiserver-external-lb-server)"... 
DEBUG       Loading "Certificate (kube-apiserver-lb-signer)"... 
DEBUG       Loading "Install Config"...            
DEBUG     Using "Certificate (kube-apiserver-external-lb-server)" loaded from state file 
DEBUG     Loading "Certificate (kube-apiserver-internal-lb-server)"... 
DEBUG       Loading "Certificate (kube-apiserver-lb-signer)"... 
DEBUG       Loading "Install Config"...            
DEBUG     Using "Certificate (kube-apiserver-internal-lb-server)" loaded from state file 
DEBUG     Loading "Certificate (kube-apiserver-lb-signer)"... 
DEBUG     Loading "Certificate (kube-apiserver-localhost-ca-bundle)"... 
DEBUG     Loading "Certificate (kube-apiserver-localhost-server)"... 
DEBUG       Loading "Certificate (kube-apiserver-localhost-signer)"... 
DEBUG     Using "Certificate (kube-apiserver-localhost-server)" loaded from state file 
DEBUG     Loading "Certificate (kube-apiserver-localhost-signer)"... 
DEBUG     Loading "Certificate (kube-apiserver-service-network-ca-bundle)"... 
DEBUG     Loading "Certificate (kube-apiserver-service-network-server)"... 
DEBUG       Loading "Certificate (kube-apiserver-service-network-signer)"... 
DEBUG       Loading "Install Config"...            
DEBUG     Using "Certificate (kube-apiserver-service-network-server)" loaded from state file 
DEBUG     Loading "Certificate (kube-apiserver-service-network-signer)"... 
DEBUG     Loading "Certificate (kube-apiserver-complete-server-ca-bundle)"... 
DEBUG     Loading "Certificate (kube-apiserver-complete-client-ca-bundle)"... 
DEBUG       Loading "Certificate (admin-kubeconfig-ca-bundle)"... 
DEBUG       Loading "Certificate (kubelet-client-ca-bundle)"... 
DEBUG         Loading "Certificate (kubelet-signer)"... 
DEBUG         Using "Certificate (kubelet-signer)" loaded from state file 
DEBUG       Using "Certificate (kubelet-client-ca-bundle)" loaded from state file 
DEBUG       Loading "Certificate (kube-control-plane-ca-bundle)"... 
DEBUG         Loading "Certificate (kube-control-plane-signer)"... 
DEBUG         Using "Certificate (kube-control-plane-signer)" loaded from state file 
DEBUG         Loading "Certificate (kube-apiserver-lb-signer)"... 
DEBUG         Loading "Certificate (kube-apiserver-localhost-signer)"... 
DEBUG         Loading "Certificate (kube-apiserver-service-network-signer)"... 
DEBUG       Using "Certificate (kube-control-plane-ca-bundle)" loaded from state file 
DEBUG       Loading "Certificate (kube-apiserver-to-kubelet-ca-bundle)"... 
DEBUG         Loading "Certificate (kube-apiserver-to-kubelet-signer)"... 
DEBUG         Using "Certificate (kube-apiserver-to-kubelet-signer)" loaded from state file 
DEBUG       Using "Certificate (kube-apiserver-to-kubelet-ca-bundle)" loaded from state file 
DEBUG       Loading "Certificate (kubelet-bootstrap-kubeconfig-ca-bundle)"... 
DEBUG         Loading "Certificate (kubelet-bootstrap-kubeconfig-signer)"... 
DEBUG       Using "Certificate (kubelet-bootstrap-kubeconfig-ca-bundle)" loaded from state file 
DEBUG     Using "Certificate (kube-apiserver-complete-client-ca-bundle)" loaded from state file 
DEBUG     Loading "Certificate (kube-apiserver-to-kubelet-ca-bundle)"... 
DEBUG     Loading "Certificate (kube-apiserver-to-kubelet-client)"... 
DEBUG       Loading "Certificate (kube-apiserver-to-kubelet-signer)"... 
DEBUG     Using "Certificate (kube-apiserver-to-kubelet-client)" loaded from state file 
DEBUG     Loading "Certificate (kube-apiserver-to-kubelet-signer)"... 
DEBUG     Loading "Certificate (kube-control-plane-ca-bundle)"... 
DEBUG     Loading "Certificate (kube-control-plane-kube-controller-manager-client)"... 
DEBUG       Loading "Certificate (kube-control-plane-signer)"... 
DEBUG     Using "Certificate (kube-control-plane-kube-controller-manager-client)" loaded from state file 
DEBUG     Loading "Certificate (kube-control-plane-kube-scheduler-client)"... 
DEBUG       Loading "Certificate (kube-control-plane-signer)"... 
DEBUG     Using "Certificate (kube-control-plane-kube-scheduler-client)" loaded from state file 
DEBUG     Loading "Certificate (kube-control-plane-signer)"... 
DEBUG     Loading "Certificate (kubelet-bootstrap-kubeconfig-ca-bundle)"... 
DEBUG     Loading "Certificate (kubelet-client-ca-bundle)"... 
DEBUG     Loading "Certificate (kubelet-client)"... 
DEBUG     Loading "Certificate (kubelet-signer)"... 
DEBUG     Loading "Certificate (kubelet-serving-ca-bundle)"... 
DEBUG       Loading "Certificate (kubelet-signer)"... 
DEBUG     Using "Certificate (kubelet-serving-ca-bundle)" loaded from state file 
DEBUG     Loading "Certificate (mcs)"...           
DEBUG     Loading "Root CA"...                     
DEBUG     Loading "Key Pair (service-account.pub)"... 
DEBUG     Using "Key Pair (service-account.pub)" loaded from state file 
DEBUG     Loading "Release Image Pull Spec"...     
DEBUG     Using "Release Image Pull Spec" loaded from state file 
DEBUG     Loading "Image"...                       
DEBUG   Using "Bootstrap Ignition Config" loaded from state file 
DEBUG   Loading "Master Ignition Config"...        
DEBUG   Loading "Master Machines"...               
DEBUG   Loading "Worker Machines"...               
DEBUG Loading "Terraform Variables" from both state file and target directory 
DEBUG On-disk "Terraform Variables" matches asset in state file 
DEBUG Using "Terraform Variables" loaded from state file 
DEBUG Reusing previously-fetched "Terraform Variables" 
DEBUG Fetching "Kubeconfig Admin Client"...        
DEBUG Reusing previously-fetched "Kubeconfig Admin Client" 
DEBUG Fetching "Kubeadmin Password"...             
DEBUG Reusing previously-fetched "Kubeadmin Password" 
DEBUG Fetching "Certificate (journal-gatewayd)"... 
DEBUG Reusing previously-fetched "Certificate (journal-gatewayd)" 
DEBUG Fetching "Metadata"...                       
DEBUG Loading "Metadata"...                        
DEBUG   Loading "Cluster ID"...                    
DEBUG   Loading "Install Config"...                
DEBUG Using "Metadata" loaded from state file      
DEBUG Reusing previously-fetched "Metadata"        
DEBUG Fetching "Cluster"...                        
DEBUG Loading "Cluster"...                         
DEBUG   Loading "Cluster ID"...                    
DEBUG   Loading "Install Config"...                
DEBUG   Loading "Platform Credentials Check"...    
DEBUG   Loading "Terraform Variables"...           
DEBUG   Loading "Kubeadmin Password"...            
DEBUG   Fetching "Cluster ID"...                   
DEBUG   Reusing previously-fetched "Cluster ID"    
DEBUG   Fetching "Install Config"...               
DEBUG   Reusing previously-fetched "Install Config" 
DEBUG   Fetching "Platform Credentials Check"...   
DEBUG   Reusing previously-fetched "Platform Credentials Check" 
DEBUG   Fetching "Terraform Variables"...          
DEBUG   Reusing previously-fetched "Terraform Variables" 
DEBUG   Fetching "Kubeadmin Password"...           
DEBUG   Reusing previously-fetched "Kubeadmin Password" 
DEBUG Generating "Cluster"...                      
INFO Creating infrastructure resources...         
DEBUG Symlinking plugin terraform-provider-google src: "/mnt/storage/user/Downloads/openshift/openshift-install" dst: "/tmp/openshift-install-461871737/plugins/terraform-provider-google" 
DEBUG Symlinking plugin terraform-provider-ignition src: "/mnt/storage/user/Downloads/openshift/openshift-install" dst: "/tmp/openshift-install-461871737/plugins/terraform-provider-ignition" 
DEBUG Symlinking plugin terraform-provider-local src: "/mnt/storage/user/Downloads/openshift/openshift-install" dst: "/tmp/openshift-install-461871737/plugins/terraform-provider-local" 
DEBUG Symlinking plugin terraform-provider-openstack src: "/mnt/storage/user/Downloads/openshift/openshift-install" dst: "/tmp/openshift-install-461871737/plugins/terraform-provider-openstack" 
DEBUG Symlinking plugin terraform-provider-random src: "/mnt/storage/user/Downloads/openshift/openshift-install" dst: "/tmp/openshift-install-461871737/plugins/terraform-provider-random" 
DEBUG Symlinking plugin terraform-provider-aws src: "/mnt/storage/user/Downloads/openshift/openshift-install" dst: "/tmp/openshift-install-461871737/plugins/terraform-provider-aws" 
DEBUG Symlinking plugin terraform-provider-azurerm src: "/mnt/storage/user/Downloads/openshift/openshift-install" dst: "/tmp/openshift-install-461871737/plugins/terraform-provider-azurerm" 
ERROR There are some problems with the configuration, described below. 
ERROR                                              
ERROR The Terraform configuration must be valid before initialization so that 
ERROR Terraform can determine which modules and providers need to be installed. 
ERROR                                              
ERROR Error: Failed to read module directory       
ERROR                                              
ERROR Module directory ../../../../tmp/openshift-install-461871737 does not exist or 
ERROR cannot be read.                              
ERROR                                              
FATAL failed to fetch Cluster: failed to generate asset "Cluster": failed to create cluster: failed to initialize Terraform


Expected results:

Working cluster.


Additional information:

1. There are references to 'aws' in the debug output. Don't know if this is a factor here.

2. cat terraform.azure.auto.tfvars.json

{
  "azure_subscription_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXX",
  "azure_client_id": "XXXXXXXX",
  "azure_client_secret": "XXXXXXX",
  "azure_tenant_id": "XXXXXX-XXXX-XXXX-XXXX-XXXXX",
  "azure_bootstrap_vm_type": "Standard_D4s_v3",
  "azure_master_vm_type": "Standard_D8s_v3",
  "azure_master_availability_zones": [
    "",
    "",
    ""
  ],
  "azure_master_root_volume_size": 1024,
  "azure_image_url": "https://rhcos.blob.core.windows.net/imagebucket/rhcos-42.80.20191002.0.vhd",
  "azure_region": "ukwest",
  "azure_base_domain_resource_group_name": "kube"

3. Contents of install directory:

{ ~/Downloads/openshift/mtn-azure }-> ls -la 
total 2140
drwxrwxr-x. 4 user user     186 Oct 30 07:49 .
drwxrwxr-x. 5 user user    4096 Oct 30 05:28 ..
drwxr-xr-x. 2 user user      50 Oct 30 07:49 auth
-rw-r--r--. 1 user user     144 Oct 30 14:54 metadata.json
-rw-rw-r--. 1 user user  198588 Oct 30 14:54 .openshift_install.log
-rw-r--r--. 1 user user 1663508 Oct 30 14:54 .openshift_install_state.json
-rw-r--r--. 1 user user     635 Oct 30 14:54 terraform.azure.auto.tfvars.json
-rw-r--r--. 1 user user  308649 Oct 30 14:54 terraform.tfvars.json
drwxr-xr-x. 2 user user      62 Oct 30 07:49 tls

Comment 1 David Caldwell 2019-10-31 07:59:54 UTC
Customer removed the install directory and started again, here is the result:

```

{ ~/Downloads/openshift }-> rm -rf /home/user/Downloads/openshift/mtn-azure
{ ~/Downloads/openshift }-> ./openshift-install create cluster --dir=/home/user/Downloads/openshift/mtn-azure 
? SSH Public Key /home/user/.ssh/id_rsa.pub
? Platform azure
? Region ukwest
? Base Domain example.com
? Cluster Name test01
? Pull Secret [? for help] ******************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************
INFO Creating infrastructure resources...         
ERROR There are some problems with the configuration, described below. 
ERROR                                              
ERROR The Terraform configuration must be valid before initialization so that 
ERROR Terraform can determine which modules and providers need to be installed. 
ERROR                                              
ERROR Error: Failed to read module directory       
ERROR                                              
ERROR Module directory ../../../../tmp/openshift-install-845418638 does not exist or 
ERROR cannot be read.                              
ERROR                                              
FATAL failed to fetch Cluster: failed to generate asset "Cluster": failed to create cluster: failed to initialize Terraform 
{ ~/Downloads/openshift }->

```

Is there any other info you want?

Comment 4 Scott Dodson 2019-11-05 21:00:26 UTC
This is happening because somewhere within the path /home/user/Downloads/openshift/mtn-azure there's a symlink. The workaround is to choose --dir that's not a symlink.

Comment 5 Abhinav Dahiya 2019-11-15 21:19:55 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1767066#c4

provides the workaround

Comment 7 Scott Dodson 2020-01-31 18:45:20 UTC
*** Bug 1766145 has been marked as a duplicate of this bug. ***

Comment 8 Patrick Dillon 2020-02-24 15:27:21 UTC
This is a bug in upstream TF: https://github.com/hashicorp/terraform/issues/24196

I have posted a PR to fix: https://github.com/hashicorp/terraform/pull/24197

We will see about carrying the patch locally.

Comment 12 Etienne Simard 2020-03-10 20:36:38 UTC
Confirmed that "Error: Failed to read module directory" is resolved and that we can install openshift with a symlink in `--dir` with:

DEBUG OpenShift Installer 4.5.0-0.nightly-2020-03-10-155709 
DEBUG Built from commit bdcf138e368e5323eff2eb78f3f9a7d8162123db 


~~~
[quality@redhat 1767066_1786363_4.5]$ ln -s ../../../../../tmp/openshift-install-461871737 mtn-azure
[quality@redhat 1767066_1786363_4.5]$ ls -al
total 12
drwxrwxr-x 3 quality quality 4096 Mar 10 14:36 .
drwxrwxr-x 6 quality quality 4096 Mar 10 14:34 ..
drwxrwxr-x 2 quality quality 4096 Mar 10 14:28 4.5.0-0.nightly-2020-03-10-155709
lrwxrwxrwx 1 quality quality   46 Mar 10 14:36 mtn-azure -> ../../../../../tmp/openshift-install-461871737
lrwxrwxrwx 1 quality quality   33 Mar 10 14:15 payload -> 4.5.0-0.nightly-2020-03-10-155709
[quality@redhat 1767066_1786363_4.5]$ file /home/quality/TESTS/bugzilla/1767066_1786363_4.5/mtn-azure
/home/quality/TESTS/bugzilla/1767066_1786363_4.5/mtn-azure: symbolic link to ../../../../../tmp/openshift-install-461871737
~~~

~~~
[quality@redhat 1767066_1786363_4.5]$ ./payload/openshift-install create cluster --dir=/home/quality/TESTS/bugzilla/1767066_1786363_4.5/mtn-azure --log-level debug
...
? SSH Public Key /home/quality/.ssh/id_rsa.pub           
? Platform azure
INFO Credentials loaded from file "/home/quality/.azure/osServicePrincipal.json" 
? Region  [Use arrows to move, enter to select, type to filter, ? for more help]
? Region switzerlandnorth
? Base Domain qe.redhat.openshift.com.com         
? Cluster Name qeredhat
? Pull Secret [? for help] **********************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************
INFO Creating infrastructure resources...         
DEBUG Symlinking plugin terraform-provider-vsphere src: "/home/quality/TESTS/bugzilla/1767066_1786363_4.5/4.5.0-0.nightly-2020-03-10-155709/openshift-install" dst: "/tmp/openshift-install-179109418/plugins/terraform-provider-vsphere" 
DEBUG Symlinking plugin terraform-provider-aws src: "/home/quality/TESTS/bugzilla/1767066_1786363_4.5/4.5.0-0.nightly-2020-03-10-155709/openshift-install" dst: "/tmp/openshift-install-179109418/plugins/terraform-provider-aws" 
DEBUG Symlinking plugin terraform-provider-azureprivatedns src: "/home/quality/TESTS/bugzilla/1767066_1786363_4.5/4.5.0-0.nightly-2020-03-10-155709/openshift-install" dst: "/tmp/openshift-install-179109418/plugins/terraform-provider-azureprivatedns" 
DEBUG Symlinking plugin terraform-provider-ignition src: "/home/quality/TESTS/bugzilla/1767066_1786363_4.5/4.5.0-0.nightly-2020-03-10-155709/openshift-install" dst: "/tmp/openshift-install-179109418/plugins/terraform-provider-ignition" 
DEBUG Symlinking plugin terraform-provider-local src: "/home/quality/TESTS/bugzilla/1767066_1786363_4.5/4.5.0-0.nightly-2020-03-10-155709/openshift-install" dst: "/tmp/openshift-install-179109418/plugins/terraform-provider-local" 
DEBUG Symlinking plugin terraform-provider-openstack src: "/home/quality/TESTS/bugzilla/1767066_1786363_4.5/4.5.0-0.nightly-2020-03-10-155709/openshift-install" dst: "/tmp/openshift-install-179109418/plugins/terraform-provider-openstack" 
DEBUG Symlinking plugin terraform-provider-azurerm src: "/home/quality/TESTS/bugzilla/1767066_1786363_4.5/4.5.0-0.nightly-2020-03-10-155709/openshift-install" dst: "/tmp/openshift-install-179109418/plugins/terraform-provider-azurerm" 
DEBUG Symlinking plugin terraform-provider-google src: "/home/quality/TESTS/bugzilla/1767066_1786363_4.5/4.5.0-0.nightly-2020-03-10-155709/openshift-install" dst: "/tmp/openshift-install-179109418/plugins/terraform-provider-google" 
DEBUG Symlinking plugin terraform-provider-ovirt src: "/home/quality/TESTS/bugzilla/1767066_1786363_4.5/4.5.0-0.nightly-2020-03-10-155709/openshift-install" dst: "/tmp/openshift-install-179109418/plugins/terraform-provider-ovirt" 
DEBUG Symlinking plugin terraform-provider-random src: "/home/quality/TESTS/bugzilla/1767066_1786363_4.5/4.5.0-0.nightly-2020-03-10-155709/openshift-install" dst: "/tmp/openshift-install-179109418/plugins/terraform-provider-random" 
DEBUG Initializing modules...                      
DEBUG - bootstrap in ../../../../../tmp/openshift-install-179109418/bootstrap 
DEBUG - dns in ../../../../../tmp/openshift-install-179109418/dns 
DEBUG - master in ../../../../../tmp/openshift-install-179109418/master 
DEBUG - vnet in ../../../../../tmp/openshift-install-179109418/vnet 
DEBUG                                              
DEBUG Initializing the backend...                  
DEBUG                                              
DEBUG Initializing provider plugins...             
DEBUG                                              
DEBUG Terraform has been successfully initialized! 
DEBUG                                              
DEBUG You may now begin working with Terraform. Try running "terraform plan" to see 
DEBUG any changes that are required for your infrastructure. All Terraform commands 
DEBUG should now work.
...
~~~

Comment 14 errata-xmlrpc 2020-07-13 17:12:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.